Announcement

Collapse
No announcement yet.

Missing Variables on three tests (PTS 4.8.3)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Missing Variables on three tests (PTS 4.8.3)

    Hi all,

    this is my first post at the forum and I checked it for my existing case. I did not find anything,so I post that Thread.
    I am testing PTS 4.8.3 with Rhel6U4. Following tests within the suite linux-system did not run because of missing variables:

    c-ray benchmark test
    tachyon benchmark test
    compress-pbzip2 benchmark test

    All of them expect a variable which is not set: $NUM_CPU_CORES

    So I 've set it manually into the dedicated binaries.
    socket=$(lscpu | grep Socket | cut -d ":" -f 2)
    core=$(lscpu | grep Core | cut -d ":" -f 2)
    NUM_CPU_CORES=`expr $core \* $socket`

    Regards

    Dirk Hartel

  • #2
    Originally posted by harteld View Post
    Hi all,

    this is my first post at the forum and I checked it for my existing case. I did not find anything,so I post that Thread.
    I am testing PTS 4.8.3 with Rhel6U4. Following tests within the suite linux-system did not run because of missing variables:

    c-ray benchmark test
    tachyon benchmark test
    compress-pbzip2 benchmark test

    All of them expect a variable which is not set: $NUM_CPU_CORES

    So I 've set it manually into the dedicated binaries.
    socket=$(lscpu | grep Socket | cut -d ":" -f 2)
    core=$(lscpu | grep Core | cut -d ":" -f 2)
    NUM_CPU_CORES=`expr $core \* $socket`

    Regards

    Dirk Hartel
    NUM_CPU_CORES is always set by the Phoronix Test Suite automatically. Can you please run: phoronix-test-suite diagnostics and check for the "NUM_CPU_CORES" line value? The only thing I can think of is that maybe for your system there was trouble parsing that info. If you can let me know what the value is that would be great.

    Thanks,
    Michael
    Michael Larabel
    http://www.michaellarabel.com/

    Comment


    • #3
      -bash-4.1$ phoronix-test-suite diagnostics | grep NUM
      NUM_CPU_CORES = 64
      NUM_CPU_JOBS = 128

      Interesting that the mentioned tests did not run up to the time if I set NUM_CPU_CORES manually....

      hmmmm
      Last edited by harteld; 10-10-2013, 06:08 AM.

      Comment


      • #4
        Originally posted by harteld View Post
        -bash-4.1$ phoronix-test-suite diagnostics | grep NUM
        NUM_CPU_CORES = 64
        NUM_CPU_JOBS = 128

        Interesting that the mentioned tests did not run up to the time if I set NUM_CPU_CORES manually....

        hmmmm
        Is there anything else unique about your installation with its settings or anything along those lines? I can try on Scientific/CentOS 6.4 and see if I can reproduce but last time I tried (EL ~6.3) I didn't run into such issue and I don't believe with any platform I've ever run into NUM_CPU_CORES not being exposed right.
        Michael Larabel
        http://www.michaellarabel.com/

        Comment


        • #5
          Same issue with pgbench, which did not get the variable $NUM_CPU_JOBS....

          Other issue, the necessary dirs were not copied:

          -bash-4.1$ cd /opt/phoronix/installed-tests/pts/pgbench-1.4.0/
          -bash-4.1$ ./pgbench
          server starting
          postgres cannot access the server configuration file "/var/home/unix/pg_/data/db/postgresql.conf": No such file or directory


          I think we have a problem with the standard configuration of some phoronix-4.8.3 tests and Rhel6.3/Rhel6.4
          Last edited by harteld; 10-28-2013, 05:47 AM.

          Comment


          • #6
            Originally posted by harteld View Post
            Same issue with pgbench, which did not get the variable $NUM_CPU_JOBS....

            Other issue, the necessary dirs were not copied:

            -bash-4.1$ cd /opt/phoronix/installed-tests/pts/pgbench-1.4.0/
            -bash-4.1$ ./pgbench
            server starting
            postgres cannot access the server configuration file "/var/home/unix/pg_/data/db/postgresql.conf": No such file or directory


            I think we have a problem with the standard configuration of some phoronix-4.8.3 tests and Rhel6.3/Rhel6.4
            I've tried PTS on EL 6.4 and it's working fine for me without env var problems so it's likely something to do with your specific system configuration.
            Michael Larabel
            http://www.michaellarabel.com/

            Comment


            • #7
              Let's try a fresh install to get thru all necessary steps

              I will start a fresh installation of Phoronix-4.8.5 with Rhel6 U5.
              System Specs:
              Vendor: American Megatrends Inc.
              CPU: AMD Athlon(tm) 64 X2 Dual Core Processor 5200+
              RAM: 2GB

              # phoronix-test-suite install pts/linux-system

              First Problem


              pts/apache-1.5.2:
              Test Installation 3 of 29
              4 Files Needed [7.53 MB / 1 Minute]
              Downloading: httpd-2.4.3.tar.gz [5.85MB]
              Estimated Download Time: 1m ........................................
              Downloading: apache-ab-test-files-1.tar.gz [0.01MB]
              Estimated Download Time: 1m ........................................
              Downloading: apr-1.4.6.tar.gz [0.94MB]
              Estimated Download Time: 1m ........................................
              MD5 Failed: http://mirror.cogentco.com/pub/apach...r-1.4.6.tar.gz
              Try downloading the file again (Y/n): Y
              Try downloading the file again (Y/n): Y
              Downloading: apr-1.4.6.tar.gz [0.94MB]
              Estimated Download Time: 1m ........................................
              MD5 Failed: http://mirror.cogentco.com/pub/apach...r-1.4.6.tar.gz
              Try downloading the file again (Y/n): Y
              Downloading: apr-1.4.6.tar.gz [0.94MB]
              Estimated Download Time: 1m ........................................
              MD5 Failed: http://mirror.cogentco.com/pub/apach...r-1.4.6.tar.gz
              Try downloading the file again (Y/n): Y
              Downloading: apr-1.4.6.tar.gz [0.94MB]
              Estimated Download Time: 1m ........................................
              MD5 Failed: http://mirror.cogentco.com/pub/apach...r-1.4.6.tar.gz
              Downloading of needed test files failed.

              Second Problem:

              pts/povray-1.1.1:
              Test Installation 12 of 29
              1 File Needed [34.41 MB / 1 Minute]
              Downloading: povray-3.7.0.tar.bz2 [34.41MB]
              Estimated Download Time: 1m ........................................
              Installation Size: 172 MB
              Installing Test @ 12:48:02
              The installer exited with a non-zero exit status.
              ERROR: Could not link against boost_thread-boost_thread !
              LOG: ~/.phoronix-test-suite/installed-tests/pts/povray-1.1.1/install-failed.log

              tail ~/.phoronix-test-suite/installed-tests/pts/povray-1.1.1/install-failed.log
              :
              :
              Libraries
              ---------
              checking whether to link with cygwin DLL... no
              checking whether to enable static linking... no
              checking for the pthreads library -lpthreads... no
              checking whether pthreads work without any flags... no
              checking whether pthreads work with -Kthread... no
              checking whether pthreads work with -kthread... no
              checking for the pthreads library -llthread... no
              checking whether pthreads work with -pthread... yes
              checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
              checking if more special flags are required for pthreads... no
              checking for boostlib >= 1.37... yes
              checking whether the Boost::Thread library is available... yes
              checking for exit in -lboost_thread... no
              checking for exit in -lboost_thread-boost_thread... no
              configure: error: Could not link against boost_thread-boost_thread !
              make: *** No targets specified and no makefile found. Stop.


              Third Problem:

              pts/graphics-magick-1.5.1:
              Test Installation 19 of 29
              2 Files Needed [7.77 MB / 1 Minute]
              Downloading: GraphicsMagick-1.3.16.tar.bz2 [6.99MB]
              Estimated Download Time: 1m ........................................
              Downloading: libpng-1.2.39.tar.gz [0.78MB]
              Estimated Download Time: 1m ........................................
              MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
              Try downloading the file again (Y/n): Y
              Downloading: libpng-1.2.39.tar.gz [0.78MB]
              Estimated Download Time: 1m ........................................
              MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
              Try downloading the file again (Y/n): Y
              Downloading: libpng-1.2.39.tar.gz [0.78MB]
              Estimated Download Time: 1m ........................................
              MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
              Try downloading the file again (Y/n): Y
              Downloading: libpng-1.2.39.tar.gz [0.78MB]
              Estimated Download Time: 1m ........................................
              MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
              Downloading of needed test files failed.



              I will continue this thread during the installation. Stay tuned......

              Comment


              • #8
                Originally posted by harteld View Post
                I will start a fresh installation of Phoronix-4.8.5 with Rhel6 U5.
                System Specs:
                Vendor: American Megatrends Inc.
                CPU: AMD Athlon(tm) 64 X2 Dual Core Processor 5200+
                RAM: 2GB

                # phoronix-test-suite install pts/linux-system

                First Problem


                pts/apache-1.5.2:
                Test Installation 3 of 29
                4 Files Needed [7.53 MB / 1 Minute]
                Downloading: httpd-2.4.3.tar.gz [5.85MB]
                Estimated Download Time: 1m ........................................
                Downloading: apache-ab-test-files-1.tar.gz [0.01MB]
                Estimated Download Time: 1m ........................................
                Downloading: apr-1.4.6.tar.gz [0.94MB]
                Estimated Download Time: 1m ........................................
                MD5 Failed: http://mirror.cogentco.com/pub/apach...r-1.4.6.tar.gz
                Try downloading the file again (Y/n): Y
                Try downloading the file again (Y/n): Y
                Downloading: apr-1.4.6.tar.gz [0.94MB]
                Estimated Download Time: 1m ........................................
                MD5 Failed: http://mirror.cogentco.com/pub/apach...r-1.4.6.tar.gz
                Try downloading the file again (Y/n): Y
                Downloading: apr-1.4.6.tar.gz [0.94MB]
                Estimated Download Time: 1m ........................................
                MD5 Failed: http://mirror.cogentco.com/pub/apach...r-1.4.6.tar.gz
                Try downloading the file again (Y/n): Y
                Downloading: apr-1.4.6.tar.gz [0.94MB]
                Estimated Download Time: 1m ........................................
                MD5 Failed: http://mirror.cogentco.com/pub/apach...r-1.4.6.tar.gz
                Downloading of needed test files failed.

                Second Problem:

                pts/povray-1.1.1:
                Test Installation 12 of 29
                1 File Needed [34.41 MB / 1 Minute]
                Downloading: povray-3.7.0.tar.bz2 [34.41MB]
                Estimated Download Time: 1m ........................................
                Installation Size: 172 MB
                Installing Test @ 12:48:02
                The installer exited with a non-zero exit status.
                ERROR: Could not link against boost_thread-boost_thread !
                LOG: ~/.phoronix-test-suite/installed-tests/pts/povray-1.1.1/install-failed.log

                tail ~/.phoronix-test-suite/installed-tests/pts/povray-1.1.1/install-failed.log
                :
                :
                Libraries
                ---------
                checking whether to link with cygwin DLL... no
                checking whether to enable static linking... no
                checking for the pthreads library -lpthreads... no
                checking whether pthreads work without any flags... no
                checking whether pthreads work with -Kthread... no
                checking whether pthreads work with -kthread... no
                checking for the pthreads library -llthread... no
                checking whether pthreads work with -pthread... yes
                checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
                checking if more special flags are required for pthreads... no
                checking for boostlib >= 1.37... yes
                checking whether the Boost::Thread library is available... yes
                checking for exit in -lboost_thread... no
                checking for exit in -lboost_thread-boost_thread... no
                configure: error: Could not link against boost_thread-boost_thread !
                make: *** No targets specified and no makefile found. Stop.


                Third Problem:

                pts/graphics-magick-1.5.1:
                Test Installation 19 of 29
                2 Files Needed [7.77 MB / 1 Minute]
                Downloading: GraphicsMagick-1.3.16.tar.bz2 [6.99MB]
                Estimated Download Time: 1m ........................................
                Downloading: libpng-1.2.39.tar.gz [0.78MB]
                Estimated Download Time: 1m ........................................
                MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
                Try downloading the file again (Y/n): Y
                Downloading: libpng-1.2.39.tar.gz [0.78MB]
                Estimated Download Time: 1m ........................................
                MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
                Try downloading the file again (Y/n): Y
                Downloading: libpng-1.2.39.tar.gz [0.78MB]
                Estimated Download Time: 1m ........................................
                MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
                Try downloading the file again (Y/n): Y
                Downloading: libpng-1.2.39.tar.gz [0.78MB]
                Estimated Download Time: 1m ........................................
                MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
                Downloading of needed test files failed.



                I will continue this thread during the installation. Stay tuned......

                After installation:


                The following tests failed to install:

                - pts/apache-1.5.2 (MD5 failed)
                - pts/povray-1.1.1 (configure: error)
                - pts/graphics-magick-1.5.1 (MD5 failed)

                Comment


                • #9
                  For build-imagemagick and apache run "phoronix-test-suite openbenchmarking-refresh" and then run the profiles again. From time to time the upstream hosts move the files when new releases come out, or change mirrors, etc, so the test profiles need to be updated for their latest locations.

                  For povray it sounds like you're missing boost-thread RPM.
                  Michael Larabel
                  http://www.michaellarabel.com/

                  Comment


                  • #10
                    Originally posted by Michael View Post
                    For build-imagemagick and apache run "phoronix-test-suite openbenchmarking-refresh" and then run the profiles again. From time to time the upstream hosts move the files when new releases come out, or change mirrors, etc, so the test profiles need to be updated for their latest locations.

                    For povray it sounds like you're missing boost-thread RPM.
                    Hi,

                    I've refreshed the profiles:

                    3 Tests To Install
                    4 Files To Download [6.99MB]
                    1 File In Cache [0.01MB]
                    559MB Of Disk Space Is Needed

                    pts/apache-1.6.0:
                    Test Installation 1 of 3
                    4 Files Needed [6.22 MB / 1 Minute]
                    Downloading: httpd-2.4.7.tar.bz2 [4.77MB]
                    Estimated Download Time: 1m ........................................
                    Copying From Cache: apache-ab-test-files-1.tar.gz [0.01MB]
                    Downloading: apr-1.5.0.tar.bz2 [0.78MB]
                    Estimated Download Time: 1m ........................................
                    Downloading: apr-util-1.5.3.tar.bz2 [0.66MB]
                    Estimated Download Time: 1m ........................................
                    Installation Size: 365 MB
                    Installing Test @ 08:32:59

                    pts/povray-1.1.1:
                    Test Installation 2 of 3
                    1 File Needed [34.41 MB / 1 Minute]
                    File Found: povray-3.7.0.tar.bz2 [34.41MB]
                    Installation Size: 172 MB
                    Installing Test @ 08:37:24
                    The installer exited with a non-zero exit status.
                    ERROR: make: *** No targets specified and no makefile found. Stop.
                    LOG: /opt/phoronix/installed-tests/pts/povray-1.1.1/install-failed.log

                    pts/graphics-magick-1.5.1:
                    Test Installation 3 of 3
                    2 Files Needed [7.77 MB / 1 Minute]
                    File Found: GraphicsMagick-1.3.16.tar.bz2 [6.99MB]
                    Downloading: libpng-1.2.39.tar.gz [0.78MB]
                    Estimated Download Time: 1m ........................................
                    MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
                    Try downloading the file again (Y/n): Y
                    Downloading: libpng-1.2.39.tar.gz [0.78MB]
                    Estimated Download Time: 1m ........................................
                    MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
                    Try downloading the file again (Y/n): Y
                    Downloading: libpng-1.2.39.tar.gz [0.78MB]
                    Estimated Download Time: 1m ........................................
                    MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
                    Try downloading the file again (Y/n): Y
                    Downloading: libpng-1.2.39.tar.gz [0.78MB]
                    Estimated Download Time: 1m ........................................
                    MD5 Failed: http://image_magick.veidrodis.com/im...-1.2.39.tar.gz
                    Downloading of needed test files failed.

                    The following tests failed to install:

                    - pts/povray-1.1.1
                    - pts/graphics-magick-1.5.1

                    Boost-thread is already installed:
                    [root@fedor-tower-phoronix ~]# rpm -qa | grep boost
                    boost-date-time-1.41.0-18.el6.x86_64
                    boost-thread-1.41.0-18.el6.i686
                    boost-graph-1.41.0-18.el6.x86_64
                    boost-program-options-1.41.0-18.el6.x86_64
                    boost-python-1.41.0-18.el6.x86_64
                    boost-system-1.41.0-18.el6.x86_64
                    boost-signals-1.41.0-18.el6.x86_64
                    boost-filesystem-1.41.0-18.el6.x86_64
                    boost-iostreams-1.41.0-18.el6.x86_64
                    boost-test-1.41.0-18.el6.x86_64
                    boost-math-1.41.0-18.el6.x86_64
                    boost-devel-1.41.0-18.el6.x86_64
                    boost-regex-1.41.0-18.el6.x86_64
                    boost-wave-1.41.0-18.el6.x86_64
                    boost-serialization-1.41.0-18.el6.x86_64
                    boost-1.41.0-18.el6.x86_64
                    boost-thread-1.41.0-18.el6.x86_64

                    hmmm, what could it be?

                    Cheers

                    Dirk

                    Comment

                    Working...
                    X